%global momorel 1

%define gmimever 2.1.7
%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --enable-threads --disable-more-warnings --with-ssl --with-gss

Summary:   Balsa Mail Client
Name:      balsa
Version:   2.2.4
Release: %{momorel}m
License: GPL
Group:     Applications/Internet
%NoSource 0 http://balsa.gnome.org/%{name}-%{version}.tar.bz2 c58770f6203dc23c4d630da3daf2b106
Source1:   gmime-%{gmimever}.tar.bz2
URL:       http://balsa.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: aspell >= 0.50
Prereq: scrollkeeper
BuildPrereq: scrollkeeper
BuildPrereq: libesmtp-devel >= 1.0.3
BuildPrereq: libgtkhtml-devel
BuildPrereq: aspell-devel >= 0.50
BuildPrereq: gdbm-devel
BuildPrereq: krb5-devel >= 1.3.6
BuildPrereq: libgnomeprint >= 2.1.4, libgnomeprintui >= 2.1.4

%description
Balsa is an e-mail reader.  This client is part of the GNOME
desktop environment.  It supports local mailboxes, POP3 and
IMAP.
 
%prep
%setup -q -D -a 1

%build
# Needed for snapshot releases.
%ifarch alpha
  ARCHFLAG="--host=alpha-momonga-linux"
%endif

dir=`pwd`; cd gmime-%{gmimever} && ./configure --prefix=`pwd` --disable-shared && make install; cd $dir

if [ ! -f configure ]; then
  CFLAGS="%{optflags}" \
  PKG_CONFIG_PATH="$PKG_CONFIG_PATH:gmime-%{gmimever}" \
  KRB5_CONFIG=/usr/kerberos/bin/krb5-config \
  ./autogen.sh $ARCHFLAG %{config_opts}
else
  CFLAGS="%{optflags}" \
  PKG_CONFIG_PATH="$PKG_CONFIG_PATH:gmime-%{gmimever}" \
  KRB5_CONFIG=/usr/kerberos/bin/krb5-config \
  ./configure $ARCHFLAG %{config_opts}
fi
%make

%install
rm -rf "%{buildroot}"

make DESTDIR="%{buildroot}" install
rm "%{buildroot}%{_bindir}"/balsa-ab
#desktop-file-install --vendor gnome --delete-original       \
#  --dir %{buildroot}%{_datadir}/applications             \
#  %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
scrollkeeper-update

%postun
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_libdir}/bonobo/servers/GNOME_Balsa.server
%{_datadir}/applications/balsa.desktop
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/gnome/help/balsa/*
%{_datadir}/omf/balsa/*
%{_datadir}/balsa/pixmaps/*
%{_datadir}/idl/Balsa.idl
%{_datadir}/sounds/balsa/*
%{_mandir}/man1/balsa.1*
%config %{_sysconfdir}/sound/events/*

%changelog
* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.2.4-1m)
- ver up. Sync with FC3(2.2.4-1.FC3.1).

* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.18-1m)
- update to 2.0.18

* Tue May  4 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.17-1m)
- update to 2.0.17
- remove patch0
- add patch1

* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.16-5m)
- add patch0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.16-4m)
- rebuild against for libxml2-2.6.8

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.16-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 19 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.0.16-1m)
- update to 2.0.16

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-2m)
- s/Copyright:/License:/

* Thu Jun 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.11-1m)
- version 2.0.11

* Thu Jun 5  2003 Masahiro Takahata <takahata@momonga-linuz.org>
- (2.0.9-4m)
- add BuildPrereq: libgnomeprint >= 2.1.4, libgnomeprintui >= 2.1.4

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-3m)
- rebuild against for openssl-0.9.7

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-2m)
- rebuild against for XFree86-4.3.0

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.9-1m)
- version 2.0.9

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.7-1m)
- version 2.0.7

* Wed Nov 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-3m)
- libgnomeprint,libgnomeprintui 2.1

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-2m)
- remove omf

* Mon Sep 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-1m)
- version 2.0.2

* Wed Jul 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- test
